petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoLineSearchGetStepLength

Get the current step length

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetStepLength(TaoLineSearch ls,PetscReal *s)

Not Collective

### Input Parameters

ls -the TaoLineSearch context

Output Parameters

s -the current step length

### See Also

TaoLineSearchSetInitialStepLength(), TaoLineSearchApply()

Level:beginner
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages